Client-side Timezone Rewrite
============================

This module attempts to adjust all dates displayed to end-users in their current
timezone without a user having to be authenticated with their user timezone
preferences configured.

It does this by checking for RDF metadata in the DOM and running the associated
date/time through the JavaScript Date object (which is aware of the user's
current timezone), then rewriting the date according to the format specified for
the date display (with some caveats, see below).

## Caveats and limitations

* This module only rewrites dates and times that are displayed using structured
  metadata; it will not auto-rewrite dates and times in free text. Notably,
  although [Views][] is fully supported, if you happen to use a field display of
  a Date field, but strip out all HTML from its display content, that date will
  not be re-written. Any other custom date output that removes RDF attributes
  will also not be re-written.
* Currently, the only supported fields and entity properties are those provided
  by the [Date module][] and date-related entity properties on nodes. (Feel free
  to [open up issues][] to add support for others.)
* Out of necessity, this module will change the way date ranges are displayed in
  cases where the date range occurs within the same day. Rather than a truncated
  form (e.g. November 8, 2013 4:00pm to 4:30pm), it must output the full range
  (e.g. November 8, 2013 4:00pm to November 8, 2013 4:30pm).
* Though this module accounts for a user's timezone, it's incapable of showing
  the *name* of the user's timezone in rewritten dates and times. That is to say
  that a time originally displayed as "4:00am PST" will be re-written for users
  in Japan as "9:00pm" without the "JST" appended.
* This module does not necessarily account for date formats by locale (e.g.
  swapping date formats for people in the EU vs. the US).


[views]: https://drupal.org/project/views
[date module]: https://drupal.org/project/date
[open up issues]: https://drupal.org/project/issues/clientside_tz_rewrite
